<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Action\DrdActionDnsLookup.
 */

namespace Drupal\drd\Plugin\Action;

use Drupal\drd\Entity\DrdHost;
use Drupal\drd\Plugin\DrdActionLocalBase;

/**
 * Provides a 'DrdActionLocalDnsLookup' action.
 *
 * @Action(
 *  id = "drd_action_dnslookup",
 *  label = @Translation("DNS lookup for all domains"),
 *  type = "drd_host",
 * )
 */
class DrdActionDnsLookup extends DrdActionLocalBase {

  /**
   * @param DrdHost $host
   * @return bool
   */
  public function executeAction($host) {
    $this->drdEntity = $host;
    $host->updateIpAddresses();
    return TRUE;
  }

}
