<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Action\DrdActionErrorLogs.
 */

namespace Drupal\drd\Plugin\Action;

use Drupal\drd\Entity\DrdDomain;
use Drupal\drd\Plugin\DrdActionRemoteBase;

/**
 * Provides a 'DrdActionErrorLogs' action.
 *
 * @Action(
 *  id = "drd_action_error_logs",
 *  label = @Translation("Error Logs"),
 *  type = "drd_domain",
 * )
 */
class DrdActionErrorLogs extends DrdActionRemoteBase {

  /**
   * @param DrdDomain $domain
   * @return bool
   */
  public function executeAction($domain) {
    $response = parent::executeAction($domain);
    if ($response) {
      if (!empty($response['php error log'])) {
        $domain->cacheErrorLog($response['php error log']);
      }
      return TRUE;
    }
    return FALSE;
  }

}
