<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\DrdActionBase.
 */

namespace Drupal\drd\Plugin;

use Drupal\Core\Action\ActionBase;
use Drupal\drd\DrdRemoteInterface;

/**
 * Base class for DRD Action plugins.
 */
abstract class DrdActionBase extends ActionBase implements DrdActionBaseInterface {

  /** @var DrdRemoteInterface $drdEntity */
  protected $drdEntity;

  protected $arguments = array();

  /**
   * @return string|bool
   */
  protected function getFollowUpAction() {
    return FALSE;
  }

  /**
   * @param string $id
   *
   * @return DrdActionBase|bool
   */
  final public static function instance($id) {
    $type = \Drupal::service('plugin.manager.action');
    /** @var DrdActionRemoteBase $action */
    $action = $type->createInstance($id);
    if (empty($action) || !($action instanceof DrdActionBaseInterface)) {
      return FALSE;
    }
    return $action;
  }

  /**
   * @inheritDoc
   */
  public function execute() {
    // TODO: Implement execute() method.
  }

  /**
   * @inheritDoc
   */
  final public function setActionArgument($key, $value) {
    $this->arguments[$key] = $value;
  }

  /**
   * @inheritDoc
   */
  final public function setArguments(array $arguments) {
    $this->arguments = $arguments;
  }

  /**
   * @inheritDoc
   */
  final public function getArguments() {
    return $this->arguments;
  }

}
