<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\DrdActionRemoteCoreBase.
 */

namespace Drupal\drd\Plugin;

use Drupal\drd\Entity\DrdCore;

/**
 * Base class for DRD Remote Core Action plugins.
 */
abstract class DrdActionRemoteCoreBase extends DrdActionRemoteBase {

  /**
   * Default remote core action which can be overwritten by implementations.
   *
   * @param DrdCore $core
   * @return array|bool
   */
  public function executeAction($core) {
    if (empty($core)) {
      return FALSE;
    }
    return parent::executeAction($core->getFirstActiveDomain());
  }

}
